Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4F19GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F19GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4F19GEMCoulombBarrier_h
 #define G4F19GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4F19GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4F19GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4F19GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4F19GEMCoulombBarrier() : G4GEMCoulombBarrierHE(19,9) {};
+//JMQ 200709
+//  G4F19GEMCoulombBarrier() : G4GEMCoulombBarrierHE(19,9) {};
+  G4F19GEMCoulombBarrier() : G4GEMCoulombBarrier(19,9) {};
   ~G4F19GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F19GEMProbability.hh,v 1.3 2006/06/29 20:15:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F19GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F20GEMChannel.hh,v 1.3 2006/06/29 20:15:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F20GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4F20GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F20GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4F20GEMCoulombBarrier_h
 #define G4F20GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4F20GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4F20GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4F20GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4F20GEMCoulombBarrier() : G4GEMCoulombBarrierHE(20,9) {};
+//JMQ 200709
+//  G4F20GEMCoulombBarrier() : G4GEMCoulombBarrierHE(20,9) {};
+  G4F20GEMCoulombBarrier() : G4GEMCoulombBarrier(20,9) {};
   ~G4F20GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F20GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F20GEMProbability.hh,v 1.3 2006/06/29 20:16:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F20GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F21GEMChannel.hh,v 1.3 2006/06/29 20:16:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F21GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4F21GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:16:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F21GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4F21GEMCoulombBarrier_h
 #define G4F21GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4F21GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4F21GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4F21GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4F21GEMCoulombBarrier() : G4GEMCoulombBarrierHE(21,9) {};
+//JMQ 200709
+//  G4F21GEMCoulombBarrier() : G4GEMCoulombBarrierHE(21,9) {};
+  G4F21GEMCoulombBarrier() : G4GEMCoulombBarrier(21,9) {};
   ~G4F21GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F21GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F21GEMProbability.hh,v 1.3 2006/06/29 20:16:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F21GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4GEMChannel.hh,v 1.4 2006/06/29 20:16:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4GEMChannel.hh,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMCoulombBarrierHE.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMCoulombBarrierHE.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4GEMCoulombBarrierHE.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4GEMCoulombBarrierHE.hh,v 1.3 2006/06/29 20:16:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4GEMCoulombBarrierHE.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -60,5 +60,5 @@
 private:
 
-  G4double BarrierPenetrationFactor(const G4double aZ) const;
+   G4double BarrierPenetrationFactor(const G4double aZ) const;
 
   virtual G4double CalcCompoundRadius(const G4double ARes) const;
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMChannel.hh	(revision 1196)
@@ -25,11 +25,11 @@
 //
 //
-// $Id: G4He3GEMChannel.hh,v 1.3 2006/06/29 20:16:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4He3GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Sept. 2001)
 //
-
+// J. M. Quesada (July 2009) coulomb barrier striclty according to Furihata's paper
 
 #ifndef G4He3GEMChannel_h
@@ -37,5 +37,5 @@
 
 #include "G4GEMChannel.hh"
-#include "G4He3CoulombBarrier.hh"
+#include "G4He3GEMCoulombBarrier.hh"
 #include "G4He3GEMProbability.hh"
 
@@ -64,6 +64,7 @@
     
 private:
-    
-    G4He3CoulombBarrier theCoulombBarrier;
+  // JMQ 190709
+//     G4He3CoulombBarrier theCoulombBarrier;
+    G4He3GEMCoulombBarrier theCoulombBarrier;
 	
     G4He3GEMProbability theEvaporationProbability;
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He3GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4He3GEMProbability.hh,v 1.3 2006/06/29 20:16:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4He3GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4He6GEMChannel.hh,v 1.3 2006/06/29 20:16:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4He6GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4He6GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:16:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4He6GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4He6GEMCoulombBarrier_h
 #define G4He6GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4He6GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4He6GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4He6GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4He6GEMCoulombBarrier() : G4GEMCoulombBarrierHE(6,2) {};
+//JMQ 200709
+//  G4He6GEMCoulombBarrier() : G4GEMCoulombBarrierHE(6,2) {};
+ G4He6GEMCoulombBarrier() : G4GEMCoulombBarrier(6,2) {};
   ~G4He6GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He6GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4He6GEMProbability.hh,v 1.3 2006/06/29 20:16:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4He6GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4He8GEMChannel.hh,v 1.3 2006/06/29 20:16:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4He8GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4He8GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:16:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4He8GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4He8GEMCoulombBarrier_h
 #define G4He8GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4He8GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4He8GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4He8GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4He8GEMCoulombBarrier() : G4GEMCoulombBarrierHE(8,2) {};
+//JMQ 200709
+//  G4He8GEMCoulombBarrier() : G4GEMCoulombBarrierHE(8,2) {};
+ G4He8GEMCoulombBarrier() : G4GEMCoulombBarrier(8,2) {};
   ~G4He8GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4He8GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4He8GEMProbability.hh,v 1.3 2006/06/29 20:16:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4He8GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Li6GEMChannel.hh,v 1.3 2006/06/29 20:16:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li6GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Li6GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:16:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li6GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Li6GEMCoulombBarrier_h
 #define G4Li6GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Li6GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Li6GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Li6GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Li6GEMCoulombBarrier() : G4GEMCoulombBarrierHE(6,3) {};
+//JMQ 200709
+//  G4Li6GEMCoulombBarrier() : G4GEMCoulombBarrierHE(6,3) {};
+  G4Li6GEMCoulombBarrier() : G4GEMCoulombBarrier(6,3) {};
   ~G4Li6GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li6GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Li6GEMProbability.hh,v 1.3 2006/06/29 20:16:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li6GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Li7GEMChannel.hh,v 1.3 2006/06/29 20:16:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li7GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Li7GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:16:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li7GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Li7GEMCoulombBarrier_h
 #define G4Li7GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Li7GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Li7GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Li7GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Li7GEMCoulombBarrier() : G4GEMCoulombBarrierHE(7,3) {};
+//JMQ 200709
+//  G4Li7GEMCoulombBarrier() : G4GEMCoulombBarrierHE(7,3) {};
+  G4Li7GEMCoulombBarrier() : G4GEMCoulombBarrier(7,3) {};
   ~G4Li7GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li7GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Li7GEMProbability.hh,v 1.3 2006/06/29 20:16:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li7GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Li8GEMChannel.hh,v 1.3 2006/06/29 20:16:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li8GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Li8GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:16:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li8GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Li8GEMCoulombBarrier_h
 #define G4Li8GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Li8GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Li8GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Li8GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Li8GEMCoulombBarrier() : G4GEMCoulombBarrierHE(8,3) {};
+//JMQ 200709
+//  G4Li8GEMCoulombBarrier() : G4GEMCoulombBarrierHE(8,3) {};
+  G4Li8GEMCoulombBarrier() : G4GEMCoulombBarrier(8,3) {};
   ~G4Li8GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li8GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Li8GEMProbability.hh,v 1.3 2006/06/29 20:16:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li8GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Li9GEMChannel.hh,v 1.3 2006/06/29 20:16:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li9GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Li9GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:16:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li9GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Li9GEMCoulombBarrier_h
 #define G4Li9GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Li9GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Li9GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Li9GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Li9GEMCoulombBarrier() : G4GEMCoulombBarrierHE(9,3) {};
+//JMQ 200709
+//  G4Li9GEMCoulombBarrier() : G4GEMCoulombBarrierHE(9,3) {};
+  G4Li9GEMCoulombBarrier() : G4GEMCoulombBarrier(9,3) {};
   ~G4Li9GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Li9GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Li9GEMProbability.hh,v 1.3 2006/06/29 20:16:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Li9GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Mg22GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Mg22GEMChannel.hh,v 1.3 2006/06/29 20:16:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Mg22GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
